Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class JRDocxExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.ooxml.JRDocxExporterParameter

    public class JRDocxExporterParameter

extends JRExporterParameter

Contains parameters useful for export in DOCX format.

Version:
  $Id: JRHtmlExporterParameter.java 2793 2009-05-20 12:17:11Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRDocxExporterParameter` | `FLEXIBLE_ROW_HEIGHT` Indicates whether table rows can grow if more text is added into cells.
`static JRDocxExporterParameter` | `FRAMES_AS_NESTED_TABLES` Indicates whether `frames` are to be exported as nested tables.
`static java.lang.String` | `PROPERTY_FLEXIBLE_ROW_HEIGHT` This property serves as default value for the `FLEXIBLE_ROW_HEIGHT` export parameter.
`static java.lang.String` | `PROPERTY_FRAMES_AS_NESTED_TABLES` This property serves as default value for the `FRAMES_AS_NESTED_TABLES` export parameter.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRDocxExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FRAMES_AS_NESTED_TABLES

    public static final JRDocxExporterParameter FRAMES_AS_NESTED_TABLES

  Indicates whether `frames` are to be exported as nested tables.

  The type of the parameter is `java.lang.Boolean`.

  Is set to `false`, the frame contents will be integrated into the master/page table.

  See Also:
    `PROPERTY_FRAMES_AS_NESTED_TABLES`

### PROPERTY_FRAMES_AS_NESTED_TABLES

    public static final java.lang.String PROPERTY_FRAMES_AS_NESTED_TABLES

  This property serves as default value for the `FRAMES_AS_NESTED_TABLES` export parameter.

  The property itself defaults to `true`.

  See Also:
    `JRProperties`, Constant Field Values

### FLEXIBLE_ROW_HEIGHT

    public static final JRDocxExporterParameter FLEXIBLE_ROW_HEIGHT

  Indicates whether table rows can grow if more text is added into cells.

  The type of the parameter is `java.lang.Boolean`.

  Is set to `false`, the table rows do not increase in height automatically and the user has to enlarge them manually.

  See Also:
    `PROPERTY_FLEXIBLE_ROW_HEIGHT`

### PROPERTY_FLEXIBLE_ROW_HEIGHT

    public static final java.lang.String PROPERTY_FLEXIBLE_ROW_HEIGHT

  This property serves as default value for the `FLEXIBLE_ROW_HEIGHT` export parameter.

  The property itself defaults to `false`.

  See Also:
    `JRProperties`, Constant Field Values

Constructor Detail

### JRDocxExporterParameter

    protected JRDocxExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com